GET https://services.leadconnectorhq.com/knowledge-bases/crawler
Autorización
Bearer token generado desde el portal Leadway. Ver Autenticación .
Version
string
default: "2021-07-28"
required
Versión de la API.
Query parameters
knowledgeBaseId
string
default: "tDtDnQdgm2LXpyiqYvZ6"
required
knowledge base ID as string
locationId
string
default: "tDtDnQdgm2LXpyiqYvZ6"
required
account ID as string
query
string
default: "www.example.com/"
query to filter on url links
Respuestas
200 - Trained page links retrieved successfully
count
number
default: "64"
required
Total count of URLs in the knowledge base
Array of crawled URLs with their details id
string
default: "688c73a25275c513f5f3a7de"
required
Unique identifier for the URL
url
string
default: "https://developer.mozilla.org/en-US/blog"
required
The actual URL that was crawled
title
string
default: "MDN Blog"
required
Title of the webpage
status
string
default: "Successful"
required
Current processing status of the URL Posibles valores: ‘Pending’, ‘Processing’, ‘Successful’, ‘Failed’, ‘Existing’, ‘Restricted’, ‘Cancelled’, ‘Aborted’, ‘Training’
locationId
string
default: "qIyivCmsuEOSnyoFYEej"
required
Account ID associated with this URL
knowledgeBaseId
string
default: "Arc9QRauPKkSuMJO8D0m"
required
Knowledge base ID this URL belongs to
URL to the stored content file
contentEditedByUser
boolean
default: "False"
required
Whether the content was edited by user
updatedAt
string
default: "2025-08-01T07:58:29.858Z"
required
Last updated timestamp
{
"count" : 64 ,
"urls" : [
{
"id" : "688c73a25275c513f5f3a7de" ,
"url" : "https://developer.mozilla.org/en-US/blog" ,
"title" : "MDN Blog" ,
"status" : "Successful" ,
"locationId" : "qIyivCmsuEOSnyoFYEej" ,
"knowledgeBaseId" : "Arc9QRauPKkSuMJO8D0m" ,
"content" : "https://storage.googleapis.com/crm-conversations-ai-staging/conversationAI/2025/8/1/locations/qIyivCmsuEOSnyoFYEej/688c739c88c89f21ad30f63e-4IseusbZ3vDXMT8WNw9M.txt" ,
"contentEditedByUser" : false ,
"updatedAt" : "2025-08-01T07:58:29.858Z"
}
]
}
message
string
default: "Bad Request"
{
"statusCode" : 400 ,
"message" : "Bad Request"
}
message
string
default: "Invalid token: access token is invalid"
error
string
default: "Unauthorized"
{
"statusCode" : 401 ,
"message" : "Invalid token: access token is invalid" ,
"error" : "Unauthorized"
}
422 - Unprocessable Entity
error
string
default: "Unprocessable Entity"
{
"statusCode" : 422 ,
"message" : [
"Unprocessable Entity"
],
"error" : "Unprocessable Entity"
}
500 - Internal Server Error
message
string
default: "Internal Server Error"
{
"statusCode" : 500 ,
"message" : "Internal Server Error"
}
Ejemplo
curl -X GET 'https://services.leadconnectorhq.com/knowledge-bases/crawler' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch ( 'https://services.leadconnectorhq.com/knowledge-bases/crawler' , {
method: 'GET' ,
headers: {
Authorization: `Bearer ${ process . env . LEADWAY_TOKEN } ` ,
Version: '2021-07-28' ,
},
});
const data = await response . json ();
import os, requests
response = requests.request(
'GET' ,
'https://services.leadconnectorhq.com/knowledge-bases/crawler' ,
headers = {
'Authorization' : f "Bearer { os.environ[ 'LEADWAY_TOKEN' ] } " ,
'Version' : '2021-07-28' ,
},
)
data = response.json()
<? php
$ch = curl_init ( 'https://services.leadconnectorhq.com/knowledge-bases/crawler' );
curl_setopt_array ( $ch , [
CURLOPT_RETURNTRANSFER => true ,
CURLOPT_CUSTOMREQUEST => 'GET' ,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv ( 'LEADWAY_TOKEN' ),
'Version: 2021-07-28' ,
],
]);
$data = json_decode ( curl_exec ( $ch ), true );